<?php

class actionScmobileappApiScmobileappGetcustom extends cmsAction {

    /**
     * Блокировка прямого вызова экшена
     * обязательное свойство
     * @var boolean
     */
    public $lock_explicit_call = true;
    /**
     * Результат запроса
     * обязательное свойство
     * @var array
     */
    public $result;
    /**
     * Флаг, обязующий проверять параметр sig запроса
     * sig привязан к домену сайта и к ip адресу посетителя
     * @var boolean
     */
    public $check_sig = false;

    /**
     * Возможные параметры запроса
     * с правилами валидации
     * Если запрос имеет параметры, необходимо описать их здесь
     * Правила валидации параметров задаются по аналогии с полями форм
     * @var array
     */
    public $request_params = array(
        'userid' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),

    );

    public function validateApiRequest() {
        return false;
    }

    public function run(){


        $page = $this->request->get('page');
        $widgets = $this->model->getWidgets($page,array('top','bottom'));

        $this->result['html'] = '';
        $this->result['top'] = $widgets['top'];
        $this->result['bottom'] = $widgets['bottom'];


    }

}
