<?php
$paths = is_array($value) ? $value : cmsModel::yamlToArray($value);

if (!$paths && $item->hasDefaultValue()){ $paths = $item->parseDefaultPaths(); }

$size_full = $item->getOption('size_full');
$size_modal = $item->getOption('size_modal');

if (!$paths || !isset($paths[ $size_full ])){ return ''; }

$presets = array($size_full, false);

if(!empty($paths['original']) &&  strtolower(pathinfo($paths['original'], PATHINFO_EXTENSION)) === 'gif'){
    $img_func = 'html_gif_image';
} else {
    $img_func = 'html_image';
    if($size_modal){ $presets[1] = $size_modal; }
}

$src = html_image_src($paths, $size_full, true);

echo "<image lightbox src='{$src}'  />";

?>