<?php if ($items){ ?>

        <?php foreach($items as $item) { ?>

            <?php
                $url        = href_to($ctype['name'], $item['slug']) . '.html';
                $is_private = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
                $image      = (($image_field && !empty($item[$image_field])) ? $item[$image_field] : '');
                if ($is_private) {
                    if($image_field && !empty($item[$image_field])){
                        $image = default_images('private', 'small');
                    }
                    $url    = '';
                }
/*
        <Touch data-controller="content" data-action="<?php echo $ctype['name'];?>" data-item_id='<?php echo $item['id']; ?>' >
        </Touch>
*/
            $src = html_image_src($image, 'normal', true, false);
            ?>
        <Touch data-controller="post" data-action="<?php echo $ctype['name'];?>" data-item_id='<?php echo $item['id']; ?>' data-name="<?php html($item['title']); ?>" >
            <Card>
                <CardItem header>
                    <h3><?php html($item['title']); ?></h3>
                </CardItem>
                <?php if ($image && $src) { ?>
                    <CardItem cardBody>
                            <image flex src='<?php echo $src;?>' height='200' controller="content" action='news' item_id='<?php echo $item['id']; ?>'/>
                    </CardItem>
                <?php } ?>
                <CardItem>
                    <?php html($item['user']['nickname']); ?> <?php html(string_date_age_max($item['date_pub'], true)); ?>
                </CardItem>
            </Card>
        </Touch>
        <?php } ?>
<?php } ?>