<?php if ($items){ ?>
<carousel height='280'>
    <?php
        $big_image_preset      = $big_image_preset ? $big_image_preset : 'big';
        foreach($items as $id=>$item) {
            $items[$id]['url'] = href_to($ctype['name'], $item['slug']) . '.html';
            $items[$id]['is_private'] = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
            $image = $item[(!empty($big_image_field) ? $big_image_field : $image_field)];
            if ($items[$id]['is_private']) {
                $image = default_images('private', $big_image_preset);
            }
            $src = href_to_abs(html_image_src($image, $big_image_preset, true));
//            html($item['title']);

            ?>
    <card>
        <carditem cardBody>
            <image flex src='<?php echo $src;?>' height='200' />
        </carditem>
        <touch data-controller="post" data-action="<?php echo $ctype['name'];?>" data-item_id='<?php echo $item['id']; ?>' data-name="<?php html($item['title']); ?>">
            <carditem>
                <text><?php html($item['title']);?></text>
            </carditem>
        </touch>
    </card>
<?php } ?>
</carousel>
<?php } ?>
